Bug 735870 - system-config-samba does not automatically configure SELinux
Summary: system-config-samba does not automatically configure SELinux
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-samba
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 21:07 UTC by Timothy Miller
Modified: 2012-08-07 21:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:32:10 UTC


Attachments (Terms of Use)

Description Timothy Miller 2011-09-05 21:07:41 UTC
Description of problem:
When I use system-config-samba, I find that clients are not allowed access to home directory shares.  It turns out that SELinux must be notified separately with the command "setsebool -P samba_emable_home_dirs 1".  

Since SELinux appears to be enabled by default, I think that system-config-samba should either (a) automatically configure samba_emable_home_dirs, or (b) at least warn you that you have to do this.  

Any user not familiar with this will have a hard time figuring out what was going on.  I was just lucky to see someone mention SELinux and find the SELinux troubleshooter program, which told me how to fix the problem.  I'm usually pretty good with googling stuff, but I didn't know the terminology well enough and went around in circles.  More novice users will be stymied completely.


Version-Release number of selected component (if applicable):
system-config-samba doesn't appear to have a "-v" or "--version" option.  Yum says this:
Name        : system-config-samba
Arch        : noarch
Version     : 1.2.92
Release     : 1.fc15


How reproducible:
Always


Steps to Reproduce:
1.  Use system-config-samba to export home shares
2.  Don't realize that you have to configure SELinux separately
3.
  

Actual results:
Total confusion


Expected results:
More user-friendliness


Additional info:

Comment 1 Barry Godusky 2012-02-26 00:10:14 UTC
Nils this is a good idea to at least throw a flag that seLinux needs to be changed. Better would be to have it done automatically, But I do see some serious security issues doing that way since automating the system may open holes unexpectedly!

Comment 2 Fedora End Of Life 2012-08-07 17:32:12 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Timothy Miller 2012-08-07 21:20:58 UTC
I have no idea if this has been fixed, because I haven't tried Fedora 16.  If it hasn't been fixed, I think it would be a good idea to keep it open.

I'm not sure why the bug zapper caught this bug.  Fedora 15, as a release, may be EOL, but Fedora, as a distro, is not EOL, nor is the package we're discussing.  Therefore, unless it's fixed, we should keep this open.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.